require 'find'
Gem::Specification.new do |s|
  s.name        = "RubyQA"
  s.version     = '0.1.0'
  s.summary     = 'A Ruby framework for QA-ing *NIX system builds'
  s.description = 'A Ruby based framework defining & orchestrating tests against a host or hosts'
  s.authors     = ['Tristan Ancelet']
  s.email       = 'tristanancelet@yahoo.com'
  s.homepage   = 'https://git.arcanium.tech/tristan/RubyQA'
  s.executables += [ 'generate-qa','impromptu-qa']
  s.files       = Find::find('lib').select{|file| file =~ /rb/}
  s.license     = 'MIT'
  s.required_ruby_version = ">= 2.7.0"

  s.add_dependency 'net-ssh', '~> 7.1', '>= 7.1.0'
  s.add_dependency 'net-ssh-telnet', '~> 0.3', '>= 0.3.0'
end
